%global momorel	10
%global qtver 3.3.5
%global kdever 3.5.2
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: A dictionary management tool for Japanese translation engines
Name: kannadic
Version: 2.0.3
Release: %{momorel}m
License: GPL
URL: http://linux-life.net/program/cc/kde/app/kannadic/
Group: Applications/System
%NoSource 0 http://linux-life.net/program/cc/kde/app/kannadic/download/%{name}-%{version}.tar.gz 34f4ddcfe1d17a4663c6b71bc58131d9
Patch0: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}, anthy
BuildPreReq: qt-devel >= %{qtver}, kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: anthy-devel, desktop-file-utils

%description
A dictionary management tool for Japanese translation engines.

%prep
%setup -q

%patch0 -p1 -b .desktop~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category Settings \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_datadir}/applnk/Utilities/kannadic.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/kannadic
%{_datadir}/applications/kde/kannadic.desktop
%{_datadir}/apps/kannadic
%{_datadir}/doc/HTML/*/kannadic
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/mimelnk/text/x-userdic.desktop

%changelog
* Thu Apr 27 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.3-10m)
- change Categories of kannadic.desktop from Office to Settings

* Wed Apr 12 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.3-9m)
- change Categories of kannadic.desktop from Utility to Office

* Sun Feb 12 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.3-8m)
- add enable_gcc_check_and_hidden_visibility switch

* Tue Nov 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.3-7m)
- rebuild against KDE 3.5 RC1

* Sun Nov  6 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.3-6m)
- modify desktopfile.patch

* Thu Sep 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.3-5m)
- add --disable-rpath to configure
- remove nokdelibsuff.patch

* Mon Jun 27 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.3-4m)
- add --with-qt-libraries=%%{qtdir}/lib to configure
- modify spec file
- update nokdelibsuff.patch
- add desktopfile.patch
- BuildPreReq: desktop-file-utils

* Sat Apr 16 2005 Toru Hoshina <t@momonga-linux.org>
- (2.0.3-3m)
- kdelibsuff doesn't need to be applied with {_libdir}/qt3/lib.

* Sat Apr 16 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.3-2m)
- modify %%files section

* Tue Dec 21 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.3-1m)
- import to momonga

* Sat Aug 14 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 2.0.3-1ut
- new release 

* Sun Aug 01 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 2.0.2-1mdk
- new release 

* Sun Aug 01 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 2.0.1-1mdk
- new release 

* Thu Jul 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.0-1mdk
- fix {build,}requires 
- initial spec for Mandrake (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)
